Loading...
Searching...
No Matches
Opm::detail::GpuSolverInfo< Matrix, Vector > Struct Template Reference

## Public Types

using | Scalar = typename Vector::field_type
using | WellContribFunc = std::function<void(WellContributions<Scalar>&)>
using | Bridge = GpuBridge<Matrix,Vector,Matrix::block_type::rows>

## Public Member Functions

| GpuSolverInfo (const std::string &accelerator_mode, const int linear_solver_verbosity, const int maxit, const Scalar tolerance, const int platformID, const int deviceID, const bool opencl_ilu_parallel, const std::string &linsolver)
template<class Grid>
void | prepare (const Grid &grid, const Dune::CartesianIndexMapper< Grid > &cartMapper, const std::vector< Well > &wellsForConn, const std::unordered_map< std::string, std::set< int > > &possibleFutureConnections, const std::vector< int > &cellPartition, const std::size_t nonzeroes, const bool useWellConn)
bool | apply (Vector &rhs, const bool useWellConn, WellContribFunc getContribs, const int rank, Matrix &matrix, Vector &x, Dune::InverseOperatorResult &result)
bool | gpuActive ()

## Public Attributes

int | numJacobiBlocks_ = 0

The documentation for this struct was generated from the following files:

- opm/simulators/linalg/ISTLSolverGpuBridge.hpp
- opm/simulators/linalg/ISTLSolverGpuBridge.cpp